Demands

Work requests (stories, bugs, spikes, etc.)

Work requests (stories, bugs, spikes, etc.)

Endpoints

MethodPathSummary
GET/api/v1/demandsList demands
POST/api/v1/demandsCreate demand
GET/api/v1/demands/{id}Get demand
PATCH/api/v1/demands/{id}Update demand

List demands

GET /api/v1/demands

Requires authentication.

Parameters

NameInTypeRequiredDescription
``string
``string
statusquerystring
endeavour_idquerystring
typequerystring
priorityquerystring
searchquerystring

Responses

CodeDescription
200Demand list

Create demand

POST /api/v1/demands

Requires authentication.

Request Body

FieldTypeRequiredDescription
descriptionstring
due_datestring
endeavour_idstringYes
metadataobject
prioritystring
titlestringYes
typestringYes

Responses

CodeDescription
201Demand created

Get demand

GET /api/v1/demands/{id}

Requires authentication.

Parameters

NameInTypeRequiredDescription
``string

Responses

CodeDescription
200Demand details

Update demand

PATCH /api/v1/demands/{id}

Requires authentication.

Parameters

NameInTypeRequiredDescription
``string

Request Body

FieldTypeRequiredDescription
canceled_reasonstring
descriptionstring
due_datestring
metadataobject
owner_idstring
prioritystring
statusstring
titlestring

Responses

CodeDescription
200Demand updated